<?php
session_start();
$time_start = microtime(true); 
include "../../inc/config.php";
session_check();
require('../../lib/simplexlsx.class.php');

switch ($_GET["act"]) {

  case 'delete_error':
    $db->fetch_custom("delete from aktivitas_bimbing_uji where status_error=2 and kode_jurusan='".$_POST['id']."'");
    break;
    case 'delete_all':
  
    $status = $_POST['status'];
    if ($status=='all') {
        $status = '';
    } elseif ($status=='0') {
        $status = "and status_error ='0'";
    } elseif ($status=='1') {
        $status = "and status_error ='1'";
    } elseif ($status=='2') {
        $status = "and status_error ='2'";
    }

    if ($_POST['jurusan']=='all') {
        $jurusan = "";

    } else {
        $jurusan = "and kode_jurusan='".$_POST['jurusan']."'";
    }
        if ($_POST['sem']=='all') {
        $semester = "";
    } else {
        $semester = "and semester='".$_POST['sem']."'";
    }

    if ($status=="" && $jurusan=="" && $semester=="") {
       if ($_SESSION['level']==1) {
         $db->fetch_custom("TRUNCATE `aktivitas_bimbing_uji`");
       } else {
          $db->fetch_custom("delete from aktivitas_bimbing_uji where kode_jurusan='".$_SESSION['jurusan']."'");
       }
    } else {
      $ids = $db->fetch_custom("select id from aktivitas_bimbing_uji where id!='' $semester $jurusan $status");
      foreach ($ids as $id) {
        $id_delete[] = $id->id;
      }
        $data_id = implode(",", $id_delete);
       $data_mhs_pt = $db->fetch_custom("delete from aktivitas_bimbing_uji where id!='' $semester $jurusan $status and id in ($data_id)");
    }

    break;
  case 'import':
     if (!is_dir("../../../upload/aktivitas_bimbing_uji")) {
              mkdir("../../../upload/aktivitas_bimbing_uji");
    
    }


   if (!preg_match("/.(xls|xlsx)$/i", $_FILES["semester"]["name"]) ) {

              echo "pastikan file yang anda pilih xls|xlsx";
              exit();

            } else {
              move_uploaded_file($_FILES["semester"]["tmp_name"], "../../../upload/aktivitas_bimbing_uji/".$_FILES['semester']['name']);
              $semester = array("semester"=>$_FILES["semester"]["name"]);

            }



$error_count = 0;
$error = array();
$sukses = 0;
$values = "";
$array_insert = array();
  $Reader = new SimpleXLSX("../../../upload/aktivitas_bimbing_uji/".$_FILES['semester']['name']);
  foreach( $Reader->rows() as $key => $val ) {
    if ($key>0) {
      if ($val[0]!='') {
          $check = $db->check_exist('aktivitas_bimbing_uji',array(
      'semester' => $db->trimmer($val[0]),
      'id_aktivitas' => addslashes($val[1]),
      'nidn_dosen'=> $db->trimmer($val[2]),
      'jenis'=> $db->trimmer($val[4]),
      'kategori_kegiatan'=> $db->trimmer($val[6]),
      'kode_jurusan' => $db->trimmer($val[7])
    ));
            if ($check==true) {
              $error_count++;
              $error[] = "NIDN ".$val[2]." Kode Aktivitas $val[1] Kegiatan ini Sudah Ada";
            } else {
              $sukses++;
                        $array_insert[] = array(
                          'semester' => $db->trimmer($val[0]),
                          'id_aktivitas' => addslashes($val[1]),
                          'nidn_dosen' => $db->trimmer($val[2]),
                          'nama_dosen' => $db->trimmer($val[3]),
                          'jenis' => $db->trimmer($val[4]),
                          'urutan' => $db->trimmer($val[5]),
                          'kategori_kegiatan' => $db->trimmer($val[6]),
                          'kode_jurusan' => $db->trimmer($val[7]),
                        );
              }
      }
    }
  }


if (!empty($array_insert)) {
  $db->insertMulti('aktivitas_bimbing_uji',$array_insert);
}
    unlink("../../../upload/aktivitas_bimbing_uji/".$_FILES['semester']['name']);
    $msg = '';
$time_end = microtime(true);
$execution_time = ($time_end - $time_start);
if (($sukses>0) || ($error_count>0)) {
  $msg =  "<div class=\"alert alert-warning alert-dismissible\" role=\"alert\" >
  <button type=\"button\" class=\"close\" data-dismiss=\"alert\" aria-hidden=\"true\">×</button>
      <font color=\"#3c763d\">".$sukses." data Pembimbing/Penguji baru berhasil di import</font><br />
      <font color=\"#ce4844\" >".$error_count." data tidak bisa ditambahkan </font>";
      if (!$error_count==0) {
        $msg .= "<a data-toggle=\"collapse\" href=\"#collapseExample\" aria-expanded=\"false\" aria-controls=\"collapseExample\">Detail error</a>";
      }
      //echo "<br />Total: ".$i." baris data";
      $msg .= "<div class=\"collapse\" id=\"collapseExample\">";
          $i=1;
          foreach ($error as $pesan) {
              $msg .= "<div class=\"bs-callout bs-callout-danger\">".$i.". ".$pesan."</div><br />";
            $i++;
            }
      $msg .= "</div>
    </div>";
            $msg .= "<p>Total Waktu Import : ". waktu_import($execution_time);
}
  echo $msg;
    break;
  case "in":
  
  $data = array(
    "semester"=>$_POST["semester"],
    "id_aktivitas"=>$_POST["id_aktivitas"],
    "nidn_dosen"=>$_POST["nidn_dosen"],
    "nama_dosen"=>$_POST["nama_dosen"],
    "urutan"=>$_POST["urutan"],
    "kategori_kegiatan"=>$_POST["kategori_kegiatan"],
    "jenis"=>$_POST["jenis"],
    "kode_jurusan"=>$_POST["jurusan"]
    );

  
   
    $in = $db->insert("aktivitas_bimbing_uji",$data);
    
    if ($in=true) {
      echo "good";
    } else {
      return false;
    }
    break;
  case "delete":
    
    
    
    $db->delete("aktivitas_bimbing_uji","id",$_GET["id"]);
    break;

      case 'del_massal':
    $data_ids = $_REQUEST['data_ids'];
    if(trim($data_ids)!="") {
        $delete =  $db->fetch_custom("delete from aktivitas_bimbing_uji where id in ($data_ids)");
    }
    break;
  case "up":

  $data = array(
    "semester"=>$_POST["semester"],
    "id_aktivitas"=>$_POST["id_aktivitas"],
    "nidn_dosen"=>$_POST["nidn_dosen"],
    "nama_dosen"=>$_POST["nama_dosen"],
    "urutan"=>$_POST["urutan"],
    "kategori_kegiatan"=>$_POST["kategori_kegiatan"],
    "jenis"=>$_POST["jenis"],
    "kode_jurusan"=>$_POST["jurusan"]
    );

   
    
    $up = $db->update("aktivitas_bimbing_uji",$data,"id",$_POST["id"]);
    if ($up=true) {
      echo "good";
    } else {
      return false; 
    }
    break;
  default:
    # code...
    break;
}

?>